# ACEXML_Locator Class Reference

ACEXML_Locator defines operations that an XML locator should support. More...

`#include <ACEXML/common/Locator.h>`

Inheritance diagram for ACEXML_Locator:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACEXML_Locator (void)
virtual int | getColumnNumber (void) const =0
virtual int | getLineNumber (void) const =0
virtual const ACEXML_Char * | getPublicId (void) const =0
virtual const ACEXML_Char * | getSystemId (void) const =0

## Detailed Description

ACEXML_Locator defines operations that an XML locator should support.

If a SAX parser provides location information to the SAX application, it does so by implementing this interface and then passing an instance to the application using the content handler's setDocumentLocator method. The application can use the object to obtain the location of any other content handler event in the XML source document.

Note that the results returned by the object will be valid only during the scope of each content handler method: the application will receive unpredictable results if it attempts to use the locator at any other time.

SAX parsers are not required to supply a locator, but they are very strongly encouraged to do so. If the parser supplies a locator, it must do so before reporting any other document events. If no locator has been set by the time the application receives the startDocument event, the application should assume that a locator is not available.

## Constructor & Destructor Documentation

virtual ACEXML_Locator::~ACEXML_Locator | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int ACEXML_Locator::getColumnNumber | ( | void |  | ) | const`[pure virtual]`

| Implemented in ACEXML_LocatorImpl.

virtual int ACEXML_Locator::getLineNumber | ( | void |  | ) | const`[pure virtual]`

| Implemented in ACEXML_LocatorImpl.

virtual const ACEXML_Char* ACEXML_Locator::getPublicId | ( | void |  | ) | const`[pure virtual]`

| Implemented in ACEXML_LocatorImpl.

virtual const ACEXML_Char* ACEXML_Locator::getSystemId | ( | void |  | ) | const`[pure virtual]`

| Implemented in ACEXML_LocatorImpl.

The documentation for this class was generated from the following file:

- Locator.h